//
//  SeasonListingDM.swift
//  WOKA
//
//  Created by MacBook Pro on 20/06/24.
//


import Foundation

// MARK: - SeasonListingDM
struct SeasonListingDM: Codable {
    let result: [Result]?
    let totalRecords: Int?

    enum CodingKeys: String, CodingKey {
        case result
        case totalRecords = "total_records"
    }
    
    // MARK: - Result
    struct Result: Codable {
        let id, watchShowsMasterID: Int?
        let categoryMasterID, seasonNumber: String?
        let noOfEpisodes: Int?
        let seasonDescription: String?
        let releaseYear: Int?
        let seasonTitle: String?
        let trailerURL: String?
        let thumbnailPath: String?
        let thumbnailImgURL: String?
        let tagsKeyword, releaseDate, mediaType: String?
        let seasonMoreDetails: [SeasonMoreDetail]?

        enum CodingKeys: String, CodingKey {
            case id
            case watchShowsMasterID = "watch_shows_master_id"
            case categoryMasterID = "category_master_id"
            case seasonNumber = "season_number"
            case noOfEpisodes = "no_of_episodes"
            case seasonDescription = "season_description"
            case releaseYear = "release_year"
            case seasonTitle = "season_title"
            case trailerURL = "trailer_url"
            case thumbnailPath = "thumbnail_path"
            case thumbnailImgURL = "thumbnail_img_url"
            case tagsKeyword = "tags_keyword"
            case releaseDate = "release_date"
            case mediaType = "media_type"
            case seasonMoreDetails = "season_more_details"
        }
    }

    // MARK: - SeasonMoreDetail
    struct SeasonMoreDetail: Codable {
        let id, contentID, postType, languageMasterID: Int?
        let title, description, tagsKeywords: String?
        let trailerHDURL, trailerSDURL: String?

        enum CodingKeys: String, CodingKey {
            case id
            case contentID = "content_id"
            case postType = "post_type"
            case languageMasterID = "language_master_id"
            case title, description
            case tagsKeywords = "tags_keywords"
            case trailerHDURL = "trailer_hd_url"
            case trailerSDURL = "trailer_sd_url"
        }
    }
}
